.\"	$NetBSD$
.\"
.\" Copyright (c) 2001-2003 The Open Group, All Rights Reserved
.\"
.Dd January 5, 2009
.Dt MQ_CLOSE 3
.Os
.Sh NAME
.Nm mq_close
.Nd close a message queue (REALTIME)
.Sh LIBRARY
.Lb librt
.Sh SYNOPSIS
.In mqueue.h
.Ft int
.Fn mq_close "mqd_t mqdes"
.Sh DESCRIPTION
The
.Fn mq_close
function will remove the association between the message queue descriptor,
.Fa mqdes ,
and its message queue.
.Pp
If the process has successfully attached a notification request to
the message queue via this
.Fa mqdes ,
this attachment will be removed, and the message queue is available
for another process to attach for notification.
.Sh RETURN VALUES
.Rv -std mq_close
.Sh ERRORS
The
.Fn mq_close
function fails if:
.Bl -tag -width Er
.It Bq Er EBADF
The
.Fa mqdes
argument is not a valid message queue descriptor.
.El
.Sh SEE ALSO
.Xr mq_getattr 3 ,
.Xr mq_notify 3 ,
.Xr mq_open 3 ,
.Xr mq_receive 3 ,
.Xr mq_send 3 ,
.Xr mq_setattr 3 ,
.Xr mq_unlink 3
.Sh STANDARDS
This function conforms to the
.St -p1003.1-2001
standard.
.Sh HISTORY
The
.Fn mq_close
function first appeared in
.Nx 5.0 .
.Sh COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of
Electrical and Electronics Engineers, Inc and The Open Group.
In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document.
The original Standard can be obtained online at
http://www.opengroup.org/unix/online.html .
